package com.brilliance.isc.common.jshmod.common;

import com.brilliance.isc.bo.Dbl;
import com.brilliance.isc.bo.bopdecbo.Boperr;
import com.brilliance.isc.bo.bopdecbo.Bopsig;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 控制信息模块
 *
 
 */
@Setter
@Getter
public class Ctlset extends AbstractCommonVo {
    private Map<String, JshObjType> jshObjectMap = new HashMap<>();

    private String dectyp;

    //结售汇日期
    private Date paydat;

    private Dbl dbl;

    /**
     * 此字段在维护交易时才有用，业务经办时无用
     */
    private Dbl wrkdbl;

    private Bopsig bopsig;

    private Boperr boperr;

    @Override
    public void reset() {
        super.reset();
        if (dbl == null) {
            dbl = new Dbl();
        }
        if (wrkdbl == null) {
            wrkdbl = new Dbl();
        }
    }
}
